package role

import "git.sxidc.com/go-framework/baize/framework/core/api/request"

type (
	CreateRoleJsonBody struct {
		Name        string `json:"name" binding:"required" assign:"toField:Name"`
		Description string `json:"description" assign:"toField:Description"`
	}

	DeleteRoleQueryParams struct {
		request.IDQueryParam
	}

	UpdateRoleJsonBody struct {
		request.IDJsonBody
		Name        string `json:"name" assign:"toField:Name"`
		Description string `json:"description" assign:"toField:Description"`
	}

	GetRolesQueryParams struct {
		request.BaseQueryParams
		Name        string `form:"name" assign:"toField:Name"`
		Description string `form:"description" assign:"toField:Description"`
	}

	GetRoleQueryParams struct {
		request.IDQueryParam
	}

	UpdateUsersOfRoleJsonBody struct {
		request.IDJsonBody
		UserIDs []string `json:"userIds" assign:"toField:UserIDs"`
	}

	GetUsersOfRoleQueryParams struct {
		request.BaseQueryWithIDParams
	}

	UpdatePermissionsOfRoleJsonBody struct {
		request.IDJsonBody
		PermissionIDs []string `json:"permissionIds" assign:"toField:PermissionIDs"`
	}

	GetPermissionsOfRoleQueryParams struct {
		request.BaseQueryWithIDParams
	}
)
