package user

import (
	"git.sxidc.com/go-framework/baize/framework/core/api/request"
)

type (
	CreateUserJsonBody struct {
		UserName string `json:"userName" binding:"required" assign:"toField:UserName"`
		Password string `json:"password" binding:"required" assign:"toField:Password"`
		Name     string `json:"name" assign:"toField:Name"`
		Phone    string `json:"phone" assign:"toField:Phone"`
		Email    string `json:"email" assign:"toField:Email"`
	}

	DeleteUserQueryParams struct {
		request.IDQueryParam
	}

	UpdateUserJsonBody struct {
		request.IDJsonBody
		Password string `json:"password" assign:"toField:Password"`
		Name     string `json:"name" assign:"toField:Name"`
		Phone    string `json:"phone" assign:"toField:Phone"`
		Email    string `json:"email" assign:"toField:Email"`
	}

	GetUsersQueryParams struct {
		request.BaseQueryParams
		UserName string `form:"userName" assign:"toField:UserName"`
		Name     string `form:"name" assign:"toField:Name"`
		Phone    string `form:"phone" assign:"toField:Phone"`
		Email    string `form:"email" assign:"toField:Email"`
	}

	GetUserQueryParams struct {
		request.IDQueryParam
	}

	UpdateRolesOfUserJsonBody struct {
		request.IDJsonBody
		RoleIDs []string `json:"roleIds" assign:"toField:RoleIDs"`
	}

	GetRolesOfUserQueryParams struct {
		request.BaseQueryWithIDParams
	}
)
