package clause

import "git.sxidc.com/go-tools/utils/strutils"

type OrderBy struct {
	columnName string
	aes        bool
}

func NewOrderBy(columnName string, aes bool) *OrderBy {
	return &OrderBy{
		columnName: columnName,
		aes:        aes,
	}
}

func (clause *OrderBy) Clause() (string, error) {
	if strutils.IsStringEmpty(clause.columnName) {
		return "", nil
	}

	order := " AES"
	if !clause.aes {
		order = " DESC"
	}

	return "ORDER BY " + clause.columnName + order + "\n", nil
}

func (clause *OrderBy) Args() []any {
	return make([]any, 0)
}
